Package: org.grails.core.support

## [Groovy] Interface GrailsApplicationDiscoveryStrategy

- Interface used for classes that discover the GrailsApplication and ApplicationContext instances

  Since:
    2.4

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.springframework.context.ApplicationContext` | `findApplicationContext()` @return Find the ApplicationContext instance
    `` | `GrailsApplication` | `findGrailsApplication()` @return Find the GrailsApplication instance

- - ### Method Detail

    - #### org.springframework.context.ApplicationContext findApplicationContext()

      throws:
        IllegalStateException If the application could not be found due to misconfiguration
      Returns:
        Find the ApplicationContext instance

    - #### GrailsApplication findGrailsApplication()

      throws:
        IllegalStateException If the application could not be found due to misconfiguration
      Returns:
        Find the GrailsApplication instance